- @no_container = true

- page_title _("Commits"), @ref
= content_for :meta_tags do
  = auto_discovery_link_tag(:atom, project_commits_url(@project, @ref, rss_url_options), title: "#{@project.name}:#{@ref} commits")

= content_for :sub_nav do
  = render "head"

%div{ class: container_class }
  .tree-holder
    .nav-block
      .tree-ref-container
        .tree-ref-holder
          = render 'shared/ref_switcher', destination: 'commits'

        %ul.breadcrumb.repo-breadcrumb
          = commits_breadcrumbs
      .tree-controls.hidden-xs.hidden-sm
        - if @merge_request.present?
          .control
            = link_to _("View open merge request"), project_merge_request_path(@project, @merge_request), class: 'btn'
        - elsif create_mr_button?(@repository.root_ref, @ref)
          .control
            = link_to _("Create merge request"), create_mr_path(@repository.root_ref, @ref), class: 'btn btn-success'

        .control
          = form_tag(project_commits_path(@project, @id), method: :get, class: 'commits-search-form') do
            = search_field_tag :search, params[:search], { placeholder: _('Filter by commit message'), id: 'commits-search', class: 'form-control search-text-input input-short', spellcheck: false }
        .control
          = link_to project_commits_path(@project, @ref, rss_url_options), title: _("Commits feed"), class: 'btn' do
            = icon("rss")

  = render 'projects/commits/mirror_status'

  %div{ id: dom_id(@project) }
    %ol#commits-list.list-unstyled.content_list
      = render 'commits', project: @project, ref: @ref
  = spinner

:javascript
  CommitsList.init(#{@limit});
